//
// Created by huli on 2020/9/8.
//
float center_x;				//整车的中心点x值, 四轮的中心
float center_y;				//整车的中心点y值, 四轮的中心
float car_angle;			//整车的车身旋转角,
float car_length;			//整车的长度, 用于规避碰撞
float car_width;			//整车的宽度, 用于规避碰撞
float car_height;			//整车的高度, 用于规避碰撞
float wheel_base;			//整车的轮距, 前后轮的距离, 用于机器人或agv的抓车
float wheel_width;			//整车的轮距, 左右轮的距离, 用于机器人或agv的抓车
float front_theta;			//整车的前轮的旋转角

bool correctness;			//整车的校准标记位

#include "common_data.h"

void Common_data::copy_data(Car_measure_information& car_measure_information_in, Car_wheel_information& car_wheel_information_out)
{
	car_wheel_information_out.center_x = car_measure_information_in.center_x;
	car_wheel_information_out.center_y = car_measure_information_in.center_y;
	car_wheel_information_out.car_angle = car_measure_information_in.car_angle;

	car_wheel_information_out.wheel_base = car_measure_information_in.wheel_base;
	car_wheel_information_out.wheel_width = car_measure_information_in.wheel_width;
	car_wheel_information_out.front_theta = car_measure_information_in.front_theta;
	car_wheel_information_out.correctness = car_measure_information_in.correctness;
}
void Common_data::copy_data(Car_wheel_information& car_wheel_information_in, Car_measure_information& car_measure_information_out)
{
	car_measure_information_out.center_x = car_wheel_information_in.center_x;
	car_measure_information_out.center_y = car_wheel_information_in.center_y;
	car_measure_information_out.car_angle = car_wheel_information_in.car_angle;
	car_measure_information_out.car_length = 0;
	car_measure_information_out.car_width = 0;
	car_measure_information_out.car_height = 0;
	car_measure_information_out.wheel_base = car_wheel_information_in.wheel_base;
	car_measure_information_out.wheel_width = car_wheel_information_in.wheel_width;
	car_measure_information_out.front_theta = car_wheel_information_in.front_theta;
	car_measure_information_out.correctness = car_wheel_information_in.correctness;
}